Skip to main content

Manage Whisper Prompts for Campaigns

A whisper prompt can be created from provided text or a professional prompt recording can be assigned as a whisper prompt.

Create Whisper Prompt

Example: create whisper prompt POST https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Request Body

Assign Prompt Recording as Whisper Prompt

Example: assign prompt recording as whisper prompt POST https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Request Body

Retrieve Whisper Prompt for a Campaign

Example: retrieve whisper prompt for a campaign GET https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Response (complete response not shown)

Set Whisper Prompt Condition

A whisper prompt condition can be set for a campaign to determine whether or not to play the whisper prompt in a call. The prompt will only be played if the full condition is met. To conditionally play whisper prompts during calls, set a whisper prompt using "whisper_prompt_text" or "whisper_prompt_id_from_network" field and set "whisper_prompt_condition" to the expression you want to evaluate. POST https://invoca.net/api/@@CAMPAIGN_FEATURES_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Example Request Body

Remove Whisper Prompt Condition

To remove whisper prompt condition set "whisper_prompt_condition" to empty string "". POST https://invoca.net/api/@@CAMPAIGN_FEATURES_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Example Request Body

Conditions

Note that and is higher precedence than or. So if you use both in a condition like this:
it is equivalent to this:
Last modified on August 18, 2026